Tryton - Issues

 

Issue6692

Title Add from/to date to GL and Income Statement
Priority feature Status resolved
Superseder Nosy List ced, pokoli, resteve, reviewbot, roundup-bot
Type feature request Components account
Assigned To ced Keywords review
Reviews 43361002
View: 43361002

Created on 2017-08-02.00:14:53 by ced, last changed by roundup-bot.

Files
File name Uploaded Type Edit Remove
general_ledger.odt ced, 2017-08-17.12:18:52 application/vnd.oasis.opendocument.text
trial_balance.odt ced, 2017-08-17.12:19:04 application/vnd.oasis.opendocument.text
Messages
New changeset 0f61bd59795e by Cédric Krier in branch 'default':
Add from_date and to_date in Move.query_get
http://hg.tryton.org/modules/account/rev/0f61bd59795e
msg35205 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-08-17.12:25:15
El 17/08/17 a les 12:18, Cédric Krier ha escrit:
> Here are new report version.

Thanks, that fixed the problem.
msg35204 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-17.12:18:52
Here are new report version.
msg35203 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-08-17.12:02:32
When printing the reports with spanish language i get the following error:

Traceback (most recent call last):
  File "/trytond/wsgi.py", line 47, in dispatch_request
    return endpoint(request, **request.view_args)
  File "/trytond/protocols/dispatcher.py", line 41, in rpc
    request, database_name, *request.rpc_params)
  File "/trytond/wsgi.py", line 39, in auth_required
    return wrapped(*args, **kwargs)
  File "/trytond/protocols/wrappers.py", line 105, in wrapper
    return func(request, pool, *args, **kwargs)
  File "/trytond/protocols/dispatcher.py", line 165, in _dispatch
    result = rpc.result(meth(*c_args, **c_kwargs))
  File "/trytond/report/report.py", line 153, in execute
    cls.render(action_report, report_context))
  File "/trytond/report/report.py", line 238, in render
    data = rel_report(**report_context).render()
  File "/relatorio/templates/base.py", line 34, in render
    return self.serializer(self.events)
  File "/relatorio/templates/opendocument.py", line 894, in __call__
    for kind, data, pos in stream:
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/core.py", line 289, in _ensure
    for event in stream:
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/filters/i18n.py", line 690, in __call__
    for kind, data, pos in stream:
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/template/base.py", line 618, in _include
    for event in stream:
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/template/markup.py", line 326, in _match
    for event in stream:
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/template/base.py", line 578, in _flatten
    result = _eval_expr(data, ctxt, vars)
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/template/base.py", line 289, in _eval_expr
    retval = expr.evaluate(ctxt)
  File "/site-packages/Genshi-0.7-py2.7-linux-x86_64.egg/genshi/template/eval.py", line 177, in evaluate
    return eval(self.code, _globals, {'__data__': data})
  File "<string>", line 1, in <Expression u'format_date(to_date, user.language)'>
  File "/trytond/report/report.py", line 283, in format_date
    return Lang.strftime(value, code, locale_format)
  File "/trytond/ir/lang.py", line 419, in strftime
    TIME_LOCALE[code][f][datetime.timetuple()[i]])
AttributeError: 'NoneType' object has no attribute 'timetuple'
review43361002 updated at https://codereview.tryton.org/43361002/#ps60001
review43361002 updated at https://codereview.tryton.org/43361002/#ps40001
review43361002 updated at https://codereview.tryton.org/43361002/#ps20001
review43361002 updated at https://codereview.tryton.org/43361002/#ps1
msg34941 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-08-02.00:14:53
Following the discussion on https://discuss.tryton.org/t/reporting-based-on-date-range/393
History
Date User Action Args
2017-09-07 18:40:36roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg35567
2017-08-17 12:25:15pokolisetmessages: + msg35205
2017-08-17 12:19:20cedsetfiles: - general_ledger.odt
2017-08-17 12:19:17cedsetfiles: - trial_balance.odt
2017-08-17 12:19:04cedsetfiles: + trial_balance.odt
2017-08-17 12:18:52cedsetfiles: + general_ledger.odt
messages: + msg35204
2017-08-17 12:02:33pokolisetnosy: + pokoli
messages: + msg35203
2017-08-09 12:06:45reviewbotsetmessages: + msg35100
2017-08-09 11:43:45cedsetfiles: + trial_balance.odt
2017-08-09 11:43:37cedsetfiles: + general_ledger.odt

Showing 10 items. Show all history (warning: this could be VERY long)